Bug 463938 - AuthnProviderAlias doesn't work with Kerberos
AuthnProviderAlias doesn't work with Kerberos
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 11:54 EDT by Maciej Olędzki
Modified: 2009-07-14 10:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:17:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
config file (1002 bytes, text/plain)
2008-09-25 11:54 EDT, Maciej Olędzki
no flags Details

  None (edit)
Description Maciej Olędzki 2008-09-25 11:54:17 EDT
Created attachment 317703 [details]
config file

Description of problem:
It's impossible to use kerberos authentication module with AuthnProviderAlias directive, because of segmentation fault.

Version-Release number of selected component (if applicable):
Fedora 9
httpd-2.2.9-1.fc9.i386
mod_auth_kerb-5.3-7.i386

How reproducible:
Always

Steps to Reproduce:
1. configure access to your kerberos server by editing krb5.conf file.
2. launch httpd server with attached config file (you have to change KrbAuthRealm to realm defined in krb5.conf file)
3. try to access http://localhost:9999/
4. everything should be ok 
5. try to access http://localhost:9999/alias/
6. you should see a blank page in web browser and "child pid 25392 exit signal Segmentation fault (11)" message in log files.
  
Actual results:
Segmentation fault occurred during authentication.

Expected results:
Authentication should be performed correctly.
Comment 1 Bug Zapper 2009-06-09 22:48:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:17:36 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.